Monday, June 30, 2008

Error during Opera install

When I tried to install Opera 9.50 in openSUSE 11.0 today, I got this error:

error while loading shared libraries: cannot open > shared object file: No such file or directory

Then I found this reference to that error here which, in summary, says
This error message means that you have downloaded a package which is dynamically linked to Qt, and either your system lacks the correct Qt version, or you haven't set the LD_LIBRARY_PATH environment variable correctly.

If you download an Opera package with Qt statically linked instead, you won't have to worry about this.

You can get the statically-linked Opera versions here.
I tried it and it works fine.
Strangely, I had always used the shared version but can't remember having had this problem before.

No comments:

Post a Comment